#include <iostream>
#include <cmath>

using namespace std;

int main()
{
	long long unos;
	cin >> unos;
	int ukbroj = 0;
	long long a = unos;
	int duzina = 0;

	while (a > 0) {
		a /= 10;
		duzina++;
	}

	bool uspesno = false;
	long long x;
	long long y;
	long long z;

	while (unos > 0) {
		if (uspesno == false) {
			duzina--;
			x = 5 * pow(10, duzina);
			y = 2 * pow(10, duzina);
			z = 1 * pow(10, duzina);
		}

		if (unos >= x) {
			unos -= x;
			ukbroj++;
			uspesno = true;
		}
		else if (unos >= y) {
			unos -= y;
			ukbroj++;
			uspesno = true;
		}
		else if (unos >= z) {
			unos -= z;
			ukbroj++;
			uspesno = true;
		}
		else {
			uspesno = false;
		}
	}
	cout << ukbroj;
	return 0;
}